<?xml version="1.0" encoding="UTF-8"?>
<!--
 * The contents of this file are subject to the terms of the Common Development and
 * Distribution License (the License). You may not use this file except in compliance with the
 * License.
 *
 * You can obtain a copy of the License at legal/CDDLv1.0.txt. See the License for the
 * specific language governing permission and limitations under the License.
 *
 * When distributing Covered Software, include this CDDL Header Notice in each file and include
 * the License file at legal/CDDLv1.0.txt. If applicable, add the following below the CDDL
 * Header, with the fields enclosed by brackets [] replaced by your own identifying
 * information: "Portions copyright [year] [name of copyright owner]".
 *
 * Copyright 2011-2016 ForgeRock AS.
 * Portions Copyrighted 2016 Agile Digital Engineering
-->
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <!-- Component Definition -->
  <name>OpenAM Project</name>
  <groupId>org.openidentityplatform.openam</groupId>
  <artifactId>openam</artifactId>
  <version>14.5.3-SNAPSHOT</version>
  <packaging>pom</packaging>
  <description>OpenAM</description>
  <inceptionYear>2010</inceptionYear>
  <organization>
    <name>Open Identity Platform Community</name>
    <url>https://github.com/OpenIdentityPlatform</url>
  </organization>
  <url>https://github.com/OpenIdentityPlatform/OpenAM</url>
  <issueManagement>
    <system>github.com</system>
    <url>https://github.com/OpenIdentityPlatform/OpenAM/issues</url>
  </issueManagement>
  <licenses>
    <license>
      <name>CDDL-1.0</name>
      <url>http://www.opensource.org/licenses/CDDL-1.0</url>
      <comments>Common Development and Distribution License (CDDL) 1.0.
                This license applies to OpenAM source code as indicated in the
                sources themselves.
            </comments>
      <distribution>repo</distribution>
    </license>
    <license>
      <name>CC BY-NC-ND 3.0</name>
      <url>http://creativecommons.org/licenses/by-nc-nd/3.0/</url>
      <comments>Creative Commons Attribution-NonCommercial-NoDerivs 3.0
                Unported. This license applies to the site content, and to the
                documentation as indicated in the documentation source code.
            </comments>
      <distribution>repo</distribution>
    </license>
  </licenses>
  <developers>
   	<developer>
   		<id>Open Identity Platform Community</id>
   		<name>Open Identity Platform Community</name>
   		<email>open-identity-platform@googlegroups.com</email>
   		<organization>Open Identity Platform Community</organization>
   		<organizationUrl>https://www.openidentityplatform.org/</organizationUrl>
   		<url>https://github.com/OpenIdentityPlatform/commons</url>
   	</developer>
   </developers>
  <!-- Component Properties -->
  <properties>
    <!-- **************************************************************** -->
    <maven.build.timestamp.format>yyyy-MMM-dd HH:mm:ss</maven.build.timestamp.format>
    <!-- **************************************************************** -->
    <!-- Shade plugin setting for ClientSDK build -->
    <generate.clientsdk.sources>true</generate.clientsdk.sources>
    <!-- Project Encoding -->
    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    <!-- Version Properties -->
	<maven.compiler.target>1.8</maven.compiler.target>
    <maven.compiler.source>1.8</maven.compiler.source>
    <!-- Supress checkstyle errors on legacy com.iplanet and com.sun.identity packages -->
    <checkstyleUnitTestSuppressionsLocation>checkstyle/suppressions.xml</checkstyleUnitTestSuppressionsLocation>
    <javadoc-utils.version>1.0.0</javadoc-utils.version>
    <ant.contrib.version>1.0b3</ant.contrib.version>
    <guice.version>3.0</guice.version>
    <restlet.version>2.4.0</restlet.version>
    <powermock.version>2.0.0-RC.4</powermock.version>
<!--     <slf4j.version>1.7.25</slf4j.version> -->
    <click.version>2.3.0</click.version>
    <commons-beanutils.version>1.9.4</commons-beanutils.version>
    <commons-collections.version>3.2.2</commons-collections.version>
    <commons-digester.version>2.1</commons-digester.version>
    <commons-fileupload.version>1.4</commons-fileupload.version>
    <commons-io.version>2.3</commons-io.version>
    <commons-lang.version>2.6</commons-lang.version>
    <commons-logging.version>1.1.3</commons-logging.version>
    <commons-logging-api.version>1.1</commons-logging-api.version>
    <!--         <esapiport.version>2013-12-04</esapiport.version> -->
    <esapiport.version>2.2.0.0</esapiport.version>
    <geoip.version>2.0.0</geoip.version>
    <groovy.version>2.5.8</groovy.version>
    <groovy-sandbox.version>1.19</groovy-sandbox.version>
    <jaxb.version>2.2.11</jaxb.version>
    <jaxb1.version>2.2.5-1</jaxb1.version>
    <jaxrpc-api.version>1.1</jaxrpc-api.version>
    <!--         <jaxrpc-impl.version>1.1.3_01-20160905</jaxrpc-impl.version> -->
    <jaxrpc-impl.version>1.1.3_01</jaxrpc-impl.version>
    <jaxrpc-spi.version>1.1.3_01</jaxrpc-spi.version>
    <jdom.version>2.0.1</jdom.version>
    <jsr311-api.version>1.1.1</jsr311-api.version>
    <jstl.version>1.2.5</jstl.version>
    <mockito.version>2.23.4</mockito.version>
    <jersey-oauth.version>1.1.5.2</jersey-oauth.version>
    <relaxngDatatype.version>20020414</relaxngDatatype.version>
    <rhino.version>1.7.12</rhino.version>
    <saaj-api.version>1.3.4</saaj-api.version>
    <saaj-impl.version>1.3.19</saaj-impl.version>
    <jsp-api.version>2.1</jsp-api.version>
    <xsdlib.version>20060615</xsdlib.version>
    <authapi.version>2005-08-12</authapi.version>
    <FastInfoset.version>2006-26-09</FastInfoset.version>
    <jsr173_api.version>2004-30-01</jsr173_api.version>
    <javax.security.auth.message.version>3.1</javax.security.auth.message.version>
    <freemarker.version>2.3.19</freemarker.version>
    <java-ipv6.version>0.14</java-ipv6.version>
    <json.version>20090211</json.version>
    <hikaricp.version>2.4.1</hikaricp.version>
    <h2database.version>1.4.188</h2database.version>
    <activemq.version>[5.15.9,)</activemq.version>
    <javax.inject.version>1_2</javax.inject.version>
    <jetty.jspc.version>9.4.0.M0</jetty.jspc.version>
    <amazon.sns.version>1.10.72</amazon.sns.version>
    <javax.websocket-api.version>1.1</javax.websocket-api.version>
    <openam.version>OpenAM ${project.version}</openam.version>
    <!--  Project web site -->
    <siteDistributionURL>scp://community.internal.forgerock.com/var/www/vhosts/openam.forgerock.org/httpdocs</siteDistributionURL>
    <!-- Latest policy agent community versions -->
    <webAgentsDocCommunityVersion>4.0.0-SNAPSHOT</webAgentsDocCommunityVersion>
    <javaEEAgentsDocCommunityVersion>3.5.0-SNAPSHOT</javaEEAgentsDocCommunityVersion>
    <!-- Default license (CDDL) to package into the artifacts -->
    <license.groupId>org.openidentityplatform</license.groupId>
    <license.artifactId>cddl-license</license.artifactId>
    <license.version>1.0.0</license.version>
    <checkstyleFailOnError>false</checkstyleFailOnError>
    <logback.version>1.2.3</logback.version>
  </properties>
  <!-- Profiles -->
  <profiles>
    <profile>
      <id>clover</id>
      <properties>
        <clover.plugin.version>4.1.1</clover.plugin.version>
      </properties>
      <build>
        <plugins>
          <plugin>
            <groupId>com.atlassian.maven.plugins</groupId>
            <artifactId>clover-maven-plugin</artifactId>
            <version>${clover.plugin.version}</version>
            <configuration>
              <includesTestSourceRoots>false</includesTestSourceRoots>
              <singleCloverDatabase>true</singleCloverDatabase>
              <generateHistorical>false</generateHistorical>
              <generateHtml>true</generateHtml>
              <title>OpenAM ${project.version} Coverage Report</title>
            </configuration>
          </plugin>
        </plugins>
      </build>
      <dependencies>
        <dependency>
          <groupId>com.atlassian.clover</groupId>
          <artifactId>clover</artifactId>
          <version>${clover.plugin.version}</version>
        </dependency>
      </dependencies>
    </profile>
    <profile>
      <id>forgerock-release</id>
      <build>
        <plugins>
          <plugin>
            <groupId>org.apache.maven.plugins</groupId>
            <artifactId>maven-javadoc-plugin</artifactId>
            <inherited>false</inherited>
            <configuration>
              <charset>utf-8</charset>
              <encoding>utf-8</encoding>
              <source>${maven.compiler.source}</source>
              <additionalJOption>${javadoc.options}</additionalJOption>
              <additionalparam>${javadoc.opts}</additionalparam>
              <detectLinks>true</detectLinks>
              <bottom><![CDATA[Copyright &#169; 2010-2016, <a href="http://www.forgerock.com">ForgeRock<a> All Rights Reserved.]]></bottom>
              <links>
                <link>http://docs.oracle.com/javase/7/docs/api</link>
                <link>http://openam.forgerock.org/apidocs/</link>
                <link>http://www.restlet.org/documentation/2.1/jse/api</link>
                <link>http://www.restlet.org/documentation/2.1/jse/ext</link>
                <link>http://www.restlet.org/documentation/2.1/jse/engine</link>
              </links>
              <taglets>
                <taglet>
                  <tagletClass>com.sun.identity.tools.javadocs.SupportedAPITaglet</tagletClass>
                </taglet>
                <taglet>
                  <tagletClass>com.sun.identity.tools.javadocs.SupportedAllAPITaglet</tagletClass>
                </taglet>
              </taglets>
              <tagletArtifact>
                <groupId>org.openidentityplatform.openam</groupId>
                <artifactId>javadoc-utils</artifactId>
                <version>${javadoc-utils.version}</version>
              </tagletArtifact>
              <doctitle>OpenAM ${project.version} Public API Javadoc</doctitle>
              <outputDirectory>${project.build.directory}/site/apidocs</outputDirectory>
              <finalName>openam-${project.version}-public</finalName>
              <subpackages>
                                com.iplanet.am.sdk:com.iplanet.am.util:com.iplanet.dpro.parser:com.iplanet.dpro.session.service:com.iplanet.log:com.iplanet.services.cdm:com.iplanet.services.ldap:com.iplanet.services.util:com.iplanet.sso:com.iplanet.ums:com.sun.identity.authentication:com.sun.identity.entitlement:com.sun.identity.federation.accountmgmt:com.sun.identity.federation.common:com.sun.identity.federation.message:com.sun.identity.federation.message.common:com.sun.identity.federation.plugins:com.sun.identity.federation.services:com.sun.identity.idm:com.sun.identity.jaxrpc:com.sun.identity.liberty.ws.authnsvc:com.sun.identity.liberty.ws.authnsvc.mechanism:com.sun.identity.liberty.ws.authnsvc.protocol:com.sun.identity.liberty.ws.common:com.sun.identity.liberty.ws.common.wsse:com.sun.identity.liberty.ws.disco:com.sun.identity.liberty.ws.disco.plugins:com.sun.identity.liberty.ws.dst:com.sun.identity.liberty.ws.dst.service:com.sun.identity.liberty.ws.idpp.common:com.sun.identity.liberty.ws.idpp.plugin:com.sun.identity.liberty.ws.interaction:com.sun.identity.liberty.ws.interfaces:com.sun.identity.liberty.ws.paos:com.sun.identity.liberty.ws.security:com.sun.identity.liberty.ws.soapbinding:com.sun.identity.log:com.sun.identity.plugin.configuration:com.sun.identity.plugin.datastore:com.sun.identity.plugin.log:com.sun.identity.plugin.session:com.sun.identity.policy:com.sun.identity.sae.api:com.sun.identity.saml:com.sun.identity.saml2.assertion:com.sun.identity.saml2.common:com.sun.identity.saml2.ecp:com.sun.identity.saml2.plugins:com.sun.identity.saml2.profile:com.sun.identity.saml2.protocol:com.sun.identity.security:com.sun.identity.shared.debug:com.sun.identity.shared.jaxrpc:com.sun.identity.shared.locale:com.sun.identity.shared.stats:com.sun.identity.shared.whitelist:com.sun.identity.sm:com.sun.identity.wsfederation.common:com.sun.identity.wsfederation.plugins:com.sun.identity.wss.provider:com.sun.identity.wss.security:com.sun.identity.wss.security.handler:com.sun.identity.wss.sts:com.sun.identity.xacml.client:com.sun.identity.xacml.common:com.sun.identity.xacml.context:com.sun.identity.xacml.context.impl:com.sun.identity.xacml.policy:com.sun.identity.xacml.policy.impl:com.sun.identity.xacml.saml2:com.sun.identity.xacml.saml2.impl:com.sun.liberty:org.forgerock.openam.authentication.modules.oath.plugins:org.forgerock.oauth2.core:org.forgerock.openam.authentication.service:org.forgerock.openam.entitlement:org.forgerock.openam.ldap:org.forgerock.openam.oauth2.provider:org.forgerock.openam.session.service:org.forgerock.openam.upgrade:org.forgerock.openam.authentication.modules.common.mapping:org.forgerock.openam.services.email:org.forgerock.openam.selfservice.config:org.forgerock.openam.selfservice.config.beans:org.forgerock.openam.sts.tokengeneration.saml2.statements:org.forgerock.openam.sts.config.user:org.forgerock.openam.sts.token:org.forgerock.openam.sts.user.invocation:org.forgerock.openam.sts:org.forgerock.openam.sts.rest.token.validator:org.forgerock.openam.sts.tokengeneration.oidc
                            </subpackages>
              <doclet>com.sun.identity.tools.javadocs.SupportedAPIDoclet</doclet>
              <docletArtifact>
                <groupId>org.openidentityplatform.openam</groupId>
                <artifactId>javadoc-utils</artifactId>
                <version>${javadoc-utils.version}</version>
              </docletArtifact>
            </configuration>
          </plugin>
        </plugins>
      </build>
    </profile>
    <profile>
      <id>precommit</id>
      <build>
        <plugins>
          <plugin>
            <artifactId>maven-enforcer-plugin</artifactId>
            <executions>
              <execution>
                <id>enforce-no-snapshots</id>
                <goals>
                  <goal>enforce</goal>
                </goals>
                <configuration>
                  <rules>
                    <requireReleaseDeps>
                      <message>No snapshot dependencies allowed</message>
                      <failWhenParentIsSnapshot>false</failWhenParentIsSnapshot>
                      <excludes>
                        <exclude>org.openidentityplatform.openam:*</exclude>
                        <exclude>org.openidentityplatform.commons:forgerock-persistit-core:*</exclude>
                        <exclude>org.openidentityplatform.openig:openig-toolkit:*</exclude>
                      </excludes>
                    </requireReleaseDeps>
                  </rules>
                </configuration>
              </execution>
            </executions>
          </plugin>
        </plugins>
      </build>
    </profile>
    <profile>
      <id>jdk7.options</id>
      <activation>
        <jdk>1.7</jdk>
      </activation>
      <properties>
        <!-- Surefire Argument Line -->
        <java.surefire.options>-Xms256m -Xmx256m -XX:MaxPermSize=96m</java.surefire.options>
        <!-- JavaDoc Setting Properties -->
        <javadoc.options>-J-Xms2g -J-Xmx2g -J-XX:MaxPermSize=512m</javadoc.options>
      </properties>
    </profile>
    <profile>
      <id>jdk8.options</id>
      <activation>
        <jdk>[1.8,)</jdk>
      </activation>
      <properties>
        <!-- Disable Doclint on JDK8+ -->
        <javadoc.opts>-Xdoclint:none</javadoc.opts>
        <!-- Surefire Argument Line -->
        <java.surefire.options>-Xms256m -Xmx256m</java.surefire.options>
        <!-- JavaDoc Setting Properties -->
        <javadoc.options>-J-Xms2g -J-Xmx2g</javadoc.options>
      </properties>
    </profile>
   	<profile>
        <id>release-sign-artifacts</id>
        <activation>
            <property>
		        <name>gpg.passphrase</name>
		    </property>
        </activation>
        <build>
            <plugins>
                <plugin>
			      <groupId>org.apache.maven.plugins</groupId>
			      <artifactId>maven-gpg-plugin</artifactId>
			      <version>1.6</version>
			      <configuration>
                     	<passphrase>${gpg.passphrase}</passphrase>
                       <useAgent>true</useAgent>
                     </configuration>
			      <executions>
			        <execution>
			          <id>sign-artifacts</id>
			          <phase>verify</phase>
			          <goals>
			            <goal>sign</goal>
			          </goals>
			        </execution>
			      </executions>
			    </plugin>
            </plugins>
        </build>
    </profile>
  </profiles>
  <!-- OpenAM Child Modules -->
  <!-- Build order will be determined by the Maven Reactor. -->
  <modules>
    <module>openam-http</module>
    <module>openam-ldap-utils</module>
    <module>openam-datastore</module>
    <!-- OpenAM Shared - Common Module -->
    <module>openam-shared</module>
    <!-- OpenAM Scripting -->
    <module>openam-scripting</module>
    <!-- OpenAM Entitlement Module (XACML 3)-->
    <module>openam-entitlements</module>
    <!-- OpenAM Authentication Modules -->
    <module>openam-authentication</module>
    <!-- OpenAM Schema Modules -->
    <module>openam-schema</module>
    <!-- OpenAM CoreToken Module -->
    <module>openam-coretoken</module>
    <!-- OpenAM REST - CORE Module -->
    <module>openam-rest</module>
    <module>openam-restlet</module>
    <module>openam-plugins</module>
    <module>openam-console</module>
    <!-- OpenAM Core Module -->
    <module>openam-core</module>
    <module>openam-core-rest</module>
    <!-- OpenAM CLI Module -->
    <module>openam-cli</module>
    <!-- OpenAM Federation Modules -->
    <module>openam-federation</module>
    <!-- OpenAM OAuth2 Token Service -->
    <module>openam-oauth2</module>
    <module>openam-uma</module>
    <module>openam-common-auth-ui</module>
    <module>openam-server-auth-ui</module>
    <module>openam-ui</module>
    <module>openam-server-only</module>
    <!-- OpenAM Server -->
    <module>openam-server</module>
    <!-- Tools Artifacts -->
    <module>openam-tools</module>
    <!-- Java Client SDK Artifacts -->
    <module>openam-clientsdk</module>
    <!-- Documentation -->
    <module>openam-documentation</module>
    <!-- Final Packaging Distribution Kit -->
    <module>openam-distribution</module>
    <!-- Final Packaging Distribution Kit -->
    <module>openam-dashboard</module>
    <!-- Radius Server and common libs. -->
    <module>openam-radius</module>
    <module>openam-examples</module>
    <module>openam-annotations</module>
    <module>openam-sts</module>
    <module>openam-slf4j</module>
    <module>openam-oauth2-saml2</module>
    <module>openam-http-client</module>
    <module>openam-tokens</module>
    <module>openam-certs</module>
    <module>openam-upgrade</module>
    <module>openam-audit</module>
    <module>openam-selfservice</module>
    <!-- (Mobile) Push Notification Service -->
    <module>openam-push-notification</module>
    <module>openam-time-travel</module>
    <module>openam-i18n</module>
    <module>openam-test-utils</module>
    <module>openam-notifications</module>
    <module>openam-notifications-websocket</module>
    <module>openam-notifications-integration</module>
    <!-- openam cassandra submodules -->
    <module>openam-cassandra</module>
  </modules>
  <!-- Mailing Lists -->
  <mailingLists>
    <mailingList>
      <name>OpenAM Users List</name>
      <subscribe>https://groups.google.com/d/forum/open-identity-platform-openam</subscribe>
      <unsubscribe>https://groups.google.com/d/forum/open-identity-platform-openam</unsubscribe>
      <post>open-identity-platform-openam@googlegroups.com</post>
      <archive>https://groups.google.com/d/forum/open-identity-platform-openam</archive>
    </mailingList>
    <mailingList>
      <name>OpenAM Developers List</name>
      <subscribe>https://groups.google.com/d/forum/open-identity-platform-openam</subscribe>
      <unsubscribe>https://groups.google.com/d/forum/open-identity-platform-openam</unsubscribe>
      <post>open-identity-platform-openam@googlegroups.com</post>
      <archive>https://groups.google.com/d/forum/open-identity-platform-openam</archive>
    </mailingList>
    <mailingList>
      <name>OpenAM Commit Notifications</name>
      <subscribe>https://groups.google.com/d/forum/open-identity-platform-openam</subscribe>
      <unsubscribe>https://groups.google.com/d/forum/open-identity-platform-openam</unsubscribe>
      <post>open-identity-platform-openam@googlegroups.com</post>
      <archive>https://groups.google.com/d/forum/open-identity-platform-openam</archive>
    </mailingList>
  </mailingLists>
  <!-- Maven Repositories -->
  	<repositories>
		<repository>
			<id>ossrh-releases</id>
			<name>Sonatype OSS</name>
			<url>https://oss.sonatype.org/content/repositories/releases/</url>
		</repository>
		<repository>
			<id>ossrh-snapshots</id>
			<name>Sonatype OSS Repository</name>
			<url>https://oss.sonatype.org/content/repositories/snapshots/</url>
			<snapshots>
				<enabled>true</enabled>
			</snapshots>
		</repository>
	</repositories>
	<pluginRepositories>
		<pluginRepository>
			<id>ossrh-releases</id>
			<name>Sonatype OSS</name>
			<url>https://oss.sonatype.org/content/repositories/releases/</url>
		</pluginRepository>
		<pluginRepository>
			<id>ossrh-snapshots</id>
			<name>Sonatype OSS Repository</name>
			<url>https://oss.sonatype.org/content/repositories/snapshots/</url>
			<snapshots>
				<enabled>true</enabled>
			</snapshots>
		</pluginRepository>
	</pluginRepositories>

	<distributionManagement>
		<repository>
			<id>ossrh</id>
			<name>Sonatype OSS Repository</name>
			<url>https://oss.sonatype.org/service/local/staging/deploy/maven2</url>
		</repository>
		<snapshotRepository>
			<id>ossrh</id>
			<name>Sonatype OSS Repository</name>
			<url>https://oss.sonatype.org/content/repositories/snapshots</url>
		</snapshotRepository>
	</distributionManagement>
  <!-- Source Control -->
  <scm>
    <connection>scm:git:https://github.com/OpenIdentityPlatform/OpenAM.git</connection>
    <developerConnection>scm:git:ssh://git@github.com:OpenIdentityPlatform/OpenAM.git</developerConnection>
    <url>https://github.com/OpenIdentityPlatform/OpenAM</url>
    <tag>HEAD</tag>
  </scm>
  <!-- Dependency Management -->
  <dependencyManagement>
    <dependencies>
	   <dependency>
    		<groupId>org.openidentityplatform.opendj</groupId>
		    <artifactId>opendj-parent</artifactId>
			<version>4.4.7</version>
    		<type>pom</type>
    		<scope>import</scope>
      </dependency>
	  <dependency>
		  <groupId>org.mockito</groupId>
		  <artifactId>mockito-all</artifactId>
		  <version>1.10.19</version>
		  <scope>test</scope>
		</dependency>
      <!-- OpenAM project dependencies -->
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-audit-context</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-audit-core</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-audit-configuration</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-audit-rest</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-shared</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-core</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-core</artifactId>
        <type>test-jar</type>
        <scope>test</scope>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-core-rest</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-radius-common</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-radius-server</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-push-notification</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-notifications</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-notifications-websocket</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-notifications-integration</artifactId>
        <version>${project.version}</version>
      </dependency>
      <!-- Include all Authentication Modules -->
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-auth-ad</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-auth-anonymous</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-auth-adaptive</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-auth-application</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-auth-cert</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-auth-datastore</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-auth-persistentcookie</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-auth-common</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-auth-hotp</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-auth-httpbasic</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-auth-jdbc</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-auth-ldap</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-auth-scripted</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-auth-device-id</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-auth-membership</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-auth-msisdn</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-auth-nt</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-auth-oath</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-auth-fr-oath</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-auth-saml2</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-auth-push</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-auth-oauth2</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-auth-radius</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-auth-safeword</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-auth-securid</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-auth-windowsdesktopsso</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-auth-oidc</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-auth-amster</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-auth-recaptcha</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-auth-webauthn</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-auth-qr</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-coretoken</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-entitlements</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-restlet</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-rest</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-dashboard</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-annotations</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-datastore</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-ldap-utils</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-federation-library</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-fedlet-unconfigured-war</artifactId>
        <type>war</type>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-idpdiscovery</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>OpenFM</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-idpdiscovery-war</artifactId>
        <version>${project.version}</version>
        <type>war</type>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-example-clientsdk-cli</artifactId>
        <version>${project.version}</version>
        <type>zip</type>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-example-clientsdk-war</artifactId>
        <version>${project.version}</version>
        <type>war</type>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-oauth2</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-oauth2-saml2</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-uma</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-installtools</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-installtools-launcher</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-certs</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-selfservice</artifactId>
        <version>${project.version}</version>
      </dependency>
      <!-- OpenAM schema projects -->
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-dtd-schema</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-jaxrpc-schema</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-saml2-schema</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-mib-schema</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-wsfederation-schema</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-idsvcs-schema</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-liberty-schema</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-xacml3-schema</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-common-auth-ui</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-server-auth-ui</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-installer-tools</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-sts</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-rest-sts</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-publish-sts</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-soap-sts</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-soap-sts-server</artifactId>
        <version>${project.version}</version>
        <type>war</type>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-common-sts</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-token-service-sts</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-client-sts</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-slf4j</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-scripting</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-http-client</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-tokens</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-http</artifactId>
        <version>${project.version}</version>
      </dependency>
      <!-- New RIA Client UI -->
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-ui-ria</artifactId>
        <version>${project.version}</version>
        <classifier>www</classifier>
        <type>zip</type>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-ui-api</artifactId>
        <version>${project.version}</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.commons.ui.libs</groupId>
        <artifactId>jquery.qrcode</artifactId>
        <version>0.11.0</version>
        <type>js</type>
        <classifier>min</classifier>
      </dependency>
      <!-- CLI components -->
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-cli-definitions</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-cli-impl</artifactId>
        <version>${project.version}</version>
      </dependency>
      <!-- License -->
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-license-manager-cli</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-license-core</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-license-servlet</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-installer-utils</artifactId>
        <version>${project.version}</version>
      </dependency>
      <!-- Distribution dependencies -->
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-server</artifactId>
        <version>${project.version}</version>
        <type>war</type>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-server-only</artifactId>
        <version>${project.version}</version>
        <type>war</type>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-console</artifactId>
        <version>${project.version}</version>
        <type>war</type>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-console</artifactId>
        <version>${project.version}</version>
        <classifier>classes</classifier>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-clientsdk</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-configurator-tool</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-upgrade-tool</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-distribution-fedlet-unconfigured</artifactId>
        <version>${project.version}</version>
        <type>zip</type>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-distribution-ssoadmintools</artifactId>
        <version>${project.version}</version>
        <type>zip</type>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-distribution-ssoconfiguratortools</artifactId>
        <version>${project.version}</version>
        <type>zip</type>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-upgrade</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-authfilter-shared</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-i18n</artifactId>
        <version>${project.version}</version>
      </dependency>
      <!-- External project dependencies -->
      <dependency>
        <groupId>org.apache.click</groupId>
        <artifactId>click-extras</artifactId>
        <version>${click.version}</version>
      </dependency>
      <dependency>
        <groupId>org.apache.click</groupId>
        <artifactId>click-nodeps</artifactId>
        <version>${click.version}</version>
      </dependency>
      <dependency>
        <groupId>commons-beanutils</groupId>
        <artifactId>commons-beanutils</artifactId>
        <version>${commons-beanutils.version}</version>
      </dependency>
      <dependency>
        <groupId>commons-codec</groupId>
        <artifactId>commons-codec</artifactId>
        <version>1.14</version>
      </dependency>
      <dependency>
        <groupId>commons-collections</groupId>
        <artifactId>commons-collections</artifactId>
        <version>${commons-collections.version}</version>
      </dependency>
      <dependency>
        <groupId>commons-digester</groupId>
        <artifactId>commons-digester</artifactId>
        <version>${commons-digester.version}</version>
      </dependency>
      <dependency>
        <groupId>commons-fileupload</groupId>
        <artifactId>commons-fileupload</artifactId>
        <version>${commons-fileupload.version}</version>
      </dependency>
      <dependency>
        <groupId>commons-io</groupId>
        <artifactId>commons-io</artifactId>
        <version>${commons-io.version}</version>
      </dependency>
      <dependency>
        <groupId>commons-lang</groupId>
        <artifactId>commons-lang</artifactId>
        <version>${commons-lang.version}</version>
      </dependency>
      <dependency>
        <groupId>commons-logging</groupId>
        <artifactId>commons-logging</artifactId>
        <version>${commons-logging.version}</version>
      </dependency>
      <dependency>
        <groupId>commons-logging</groupId>
        <artifactId>commons-logging-api</artifactId>
        <version>${commons-logging-api.version}</version>
      </dependency>
      <!-- Mozilla Rhino Javascript engine -->
      <dependency>
        <groupId>org.mozilla</groupId>
        <artifactId>rhino</artifactId>
        <version>${rhino.version}</version>
      </dependency>
      <!-- Groovy scripting support -->
      <dependency>
        <groupId>org.codehaus.groovy</groupId>
        <artifactId>groovy-jsr223</artifactId>
        <version>${groovy.version}</version>
      </dependency>
      <!-- Groovy JSON parsing support -->
      <dependency>
        <groupId>org.codehaus.groovy</groupId>
        <artifactId>groovy-json</artifactId>
        <version>${groovy.version}</version>
      </dependency>
      <dependency>
        <!-- MIT licensed: http://groovy-sandbox.kohsuke.org/license.html -->
        <groupId>org.kohsuke</groupId>
        <artifactId>groovy-sandbox</artifactId>
        <version>${groovy-sandbox.version}</version>
        <!-- Groovy-sandbox depends on Groovy 1.8.5, so ignore that in favour of our version. -->
        <exclusions>
          <exclusion>
            <groupId>org.codehaus.groovy</groupId>
            <artifactId>groovy</artifactId>
          </exclusion>
        </exclusions>
      </dependency>
      <dependency>
        <groupId>org.owasp.esapi</groupId>
        <artifactId>esapi</artifactId>
        <version>${esapiport.version}</version>
        <exclusions>
        	<exclusion>
        		<groupId>org.apache.httpcomponents</groupId>
        		<artifactId>httpclient</artifactId>
        	</exclusion>
        </exclusions>
      </dependency>
      <dependency>
        <groupId>com.amazonaws</groupId>
        <artifactId>aws-java-sdk-sns</artifactId>
        <version>${amazon.sns.version}</version>
        <exclusions>
          <exclusion>
            <groupId>org.apache.httpcomponents</groupId>
            <artifactId>httpcore</artifactId>
          </exclusion>
          <exclusion>
            <groupId>org.apache.httpcomponents</groupId>
            <artifactId>httpclient</artifactId>
          </exclusion>
        </exclusions>
      </dependency>
      <dependency>
        <groupId>javax.websocket</groupId>
        <artifactId>javax.websocket-api</artifactId>
        <version>${javax.websocket-api.version}</version>
        <scope>provided</scope>
      </dependency>
      <dependency>
        <groupId>org.glassfish.metro</groupId>
        <artifactId>wsit-impl</artifactId>
        <version>2.4.3</version>
      </dependency>
      <dependency>
        <groupId>javax.xml</groupId>
        <artifactId>jaxrpc-api</artifactId>
        <version>${jaxrpc-api.version}</version>
      </dependency>
      <dependency>
        <!--                 <groupId>external</groupId> -->
        <groupId>com.sun.xml.rpc</groupId>
        <artifactId>jaxrpc-impl</artifactId>
        <version>${jaxrpc-impl.version}</version>
      </dependency>
      <dependency>
        <groupId>com.sun.xml.rpc</groupId>
        <artifactId>jaxrpc-spi</artifactId>
        <version>${jaxrpc-spi.version}</version>
      </dependency>
      <!-- TODO jmx -->
      <dependency>
        <groupId>org.jdom</groupId>
        <artifactId>jdom</artifactId>
        <version>${jdom.version}</version>
      </dependency>
		<dependency>
		    <groupId>org.glassfish.jersey.bundles</groupId>
		    <artifactId>jaxrs-ri</artifactId>
		    <version>2.28</version>
		</dependency>
      <dependency>
        <groupId>org.openidentityplatform.external.com.iplanet.jato</groupId>
        <artifactId>jato</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.external.com.sun.web.ui</groupId>
        <artifactId>cc</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>com.sun.web.ui</groupId>
        <artifactId>cc_de</artifactId>
        <version>2008-08-08</version>
        <scope>runtime</scope>
      </dependency>
      <dependency>
        <groupId>com.sun.web.ui</groupId>
        <artifactId>cc_es</artifactId>
        <version>2008-08-08</version>
        <scope>runtime</scope>
      </dependency>
      <dependency>
        <groupId>com.sun.web.ui</groupId>
        <artifactId>cc_fr</artifactId>
        <version>2008-08-08</version>
        <scope>runtime</scope>
      </dependency>
      <dependency>
        <groupId>com.sun.web.ui</groupId>
        <artifactId>cc_it</artifactId>
        <version>2008-08-08</version>
        <scope>runtime</scope>
      </dependency>
      <dependency>
        <groupId>com.sun.web.ui</groupId>
        <artifactId>cc_ja</artifactId>
        <version>2008-08-08</version>
        <scope>runtime</scope>
      </dependency>
      <dependency>
        <groupId>com.sun.web.ui</groupId>
        <artifactId>cc_ko</artifactId>
        <version>2008-08-08</version>
        <scope>runtime</scope>
      </dependency>
      <dependency>
        <groupId>com.sun.web.ui</groupId>
        <artifactId>cc_sv</artifactId>
        <version>2008-08-08</version>
        <scope>runtime</scope>
      </dependency>
      <dependency>
        <groupId>com.sun.web.ui</groupId>
        <artifactId>cc_zh</artifactId>
        <version>2008-08-08</version>
        <scope>runtime</scope>
      </dependency>
      <dependency>
        <groupId>com.sun.web.ui</groupId>
        <artifactId>cc_zh_CN</artifactId>
        <version>2008-08-08</version>
        <scope>runtime</scope>
      </dependency>
      <dependency>
        <groupId>com.sun.web.ui</groupId>
        <artifactId>cc_zh_HK</artifactId>
        <version>2008-08-08</version>
        <scope>runtime</scope>
      </dependency>
      <dependency>
        <groupId>com.sun.web.ui</groupId>
        <artifactId>cc_zh_TW</artifactId>
        <version>2008-08-08</version>
        <scope>runtime</scope>
      </dependency>
      <dependency>
        <groupId>javax.ws.rs</groupId>
        <artifactId>jsr311-api</artifactId>
        <version>${jsr311-api.version}</version>
      </dependency>
      <dependency>
		<groupId>org.apache.taglibs</groupId>
		<artifactId>taglibs-standard-impl</artifactId>
        <version>${jstl.version}</version>
      </dependency>
      <dependency>
        <groupId>com.sun.mail</groupId>
        <artifactId>javax.mail</artifactId>
        <version>1.6.2</version>
      </dependency>
      <dependency>
        <groupId>com.sun.jersey.contribs.jersey-oauth</groupId>
        <artifactId>oauth-client</artifactId>
        <version>${jersey-oauth.version}</version>
      </dependency>
      <dependency>
        <groupId>com.sun.jersey.contribs.jersey-oauth</groupId>
        <artifactId>oauth-server</artifactId>
        <version>${jersey-oauth.version}</version>
      </dependency>
      <dependency>
        <groupId>com.sun.jersey.contribs.jersey-oauth</groupId>
        <artifactId>oauth-signature</artifactId>
        <version>${jersey-oauth.version}</version>
      </dependency>
      <dependency>
        <groupId>relaxngDatatype</groupId>
        <artifactId>relaxngDatatype</artifactId>
        <version>${relaxngDatatype.version}</version>
      </dependency>
      <dependency>
        <groupId>javax.xml.soap</groupId>
        <artifactId>saaj-api</artifactId>
        <version>${saaj-api.version}</version>
      </dependency>
      <dependency>
        <groupId>com.sun.xml.messaging.saaj</groupId>
        <artifactId>saaj-impl</artifactId>
        <version>${saaj-impl.version}</version>
      </dependency>
      <dependency>
        <groupId>javax.servlet.jsp</groupId>
        <artifactId>jsp-api</artifactId>
        <version>${jsp-api.version}</version>
        <scope>provided</scope>
      </dependency>
      <dependency>
        <groupId>com.sun.msv.datatype.xsd</groupId>
        <artifactId>xsdlib</artifactId>
        <version>${xsdlib.version}</version>
      </dependency>
      <!-- OpenDJ API -->
<!--       <dependency> -->
<!--         <groupId>org.openidentityplatform.opendj</groupId> -->
<!--         <artifactId>opendj-core</artifactId> -->
<!--         <version>${opendj.sdk.version}</version> -->
<!--       </dependency> -->
      <!-- OpenDJ Grizzly -->
<!--       <dependency> -->
<!--         <groupId>org.openidentityplatform.opendj</groupId> -->
<!--         <artifactId>opendj-grizzly</artifactId> -->
<!--         <version>${opendj.sdk.version}</version> -->
<!--       </dependency> -->
      <!-- OpenDJ Server -->
<!--       <dependency> -->
<!--         <groupId>org.openidentityplatform.opendj</groupId> -->
<!--         <artifactId>opendj-server</artifactId> -->
<!--         <version>${opendj.server.version}</version> -->
<!--       </dependency> -->
      <!-- OpenDJ Server -->
<!--       <dependency> -->
<!--         <groupId>org.openidentityplatform.opendj</groupId> -->
<!--         <artifactId>opendj-server-legacy</artifactId> -->
<!--         <version>${opendj.server.legacy}</version> -->
<!--         <exclusions> -->
<!--           <exclusion> -->
<!--             <groupId>org.slf4j</groupId> -->
<!--             <artifactId>slf4j-jdk14</artifactId> -->
<!--           </exclusion> -->
<!--           <exclusion> -->
<!--             <groupId>javax.servlet</groupId> -->
<!--             <artifactId>javax.servlet-api</artifactId> -->
<!--           </exclusion> -->
<!--         </exclusions> -->
<!--       </dependency> -->
<!--       <dependency> -->
<!--         <groupId>org.openidentityplatform.opendj</groupId> -->
<!--         <artifactId>opendj-server-legacy</artifactId> -->
<!--         <version>${opendj.server.legacy}</version> -->
<!--         <type>zip</type> -->
<!--       </dependency> -->
      <!-- Legacy External Libraries for OpenAM -->
      <!-- We need to eventually ween off of these -->
      <!-- Dependencies for the Build Helper Maven Plugin -->
      <dependency>
        <groupId>org.apache.maven</groupId>
        <artifactId>maven-plugin-api</artifactId>
        <version>3.0.5</version>
        <scope>provided</scope>
      </dependency>
      <dependency>
        <groupId>org.apache.maven</groupId>
        <artifactId>maven-project</artifactId>
        <version>3.0-alpha-2</version>
        <scope>provided</scope>
      </dependency>
      <dependency>
        <groupId>org.apache.maven.plugin-tools</groupId>
        <artifactId>maven-plugin-annotations</artifactId>
        <version>3.3</version>
        <scope>provided</scope>
      </dependency>
      <dependency>
        <groupId>external</groupId>
        <artifactId>authapi</artifactId>
        <version>${authapi.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.external</groupId>
        <artifactId>jdmkrt</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>external</groupId>
        <artifactId>jdmktk</artifactId>
        <version>2007-01-10</version>
      </dependency>
      <dependency>
        <groupId>external</groupId>
        <artifactId>jsr173_api</artifactId>
        <version>${jsr173_api.version}</version>
      </dependency>
      <!-- Session HA Module Dependencies-->
      <dependency>
        <groupId>org.restlet.jee</groupId>
        <artifactId>org.restlet</artifactId>
        <version>${restlet.version}</version>
      </dependency>
      <dependency>
        <groupId>org.restlet.jee</groupId>
        <artifactId>org.restlet.ext.jackson</artifactId>
        <version>${restlet.version}</version>
        <exclusions>
          <exclusion>
            <groupId>javax.xml.stream</groupId>
            <artifactId>stax-api</artifactId>
          </exclusion>
          <exclusion>
            <groupId>org.codehaus.woodstox</groupId>
            <artifactId>woodstox-core-asl</artifactId>
          </exclusion>
        </exclusions>
      </dependency>
      <dependency>
        <groupId>org.restlet.jee</groupId>
        <artifactId>org.restlet.ext.json</artifactId>
        <version>${restlet.version}</version>
      </dependency>
      <dependency>
        <groupId>org.restlet.jee</groupId>
        <artifactId>org.restlet.ext.xml</artifactId>
        <version>${restlet.version}</version>
      </dependency>
      <dependency>
        <groupId>org.restlet.jee</groupId>
        <artifactId>org.restlet.ext.servlet</artifactId>
        <version>${restlet.version}</version>
      </dependency>
      <dependency>
        <groupId>org.restlet.jee</groupId>
        <artifactId>org.restlet.ext.freemarker</artifactId>
        <version>${restlet.version}</version>
      </dependency>
      <dependency>
        <groupId>org.restlet.jee</groupId>
        <artifactId>org.restlet.ext.ssl</artifactId>
        <version>${restlet.version}</version>
      </dependency>
      <dependency>
        <groupId>org.restlet.jee</groupId>
        <artifactId>org.restlet.ext.simple</artifactId>
        <version>${restlet.version}</version>
      </dependency>
      <dependency>
        <groupId>org.restlet.jee</groupId>
        <artifactId>org.restlet.ext.crypto</artifactId>
        <version>${restlet.version}</version>
      </dependency>
      <dependency>
        <groupId>org.restlet.jee</groupId>
        <artifactId>org.restlet.ext.httpclient</artifactId>
        <version>${restlet.version}</version>
      </dependency>
      <dependency>
        <groupId>org.restlet.jee</groupId>
        <artifactId>org.restlet.ext.net</artifactId>
        <version>${restlet.version}</version>
      </dependency>
      <dependency>
        <groupId>org.restlet.jee</groupId>
        <artifactId>org.restlet.ext.slf4j</artifactId>
        <version>${restlet.version}</version>
      </dependency>
      <!-- Commons Dependencies -->
      <dependency>
        <groupId>com.google.code.findbugs</groupId>
        <artifactId>jsr305</artifactId>
        <version>3.0.0</version>
      </dependency>
      <!-- JASPIC -->
      <dependency>
        <groupId>org.glassfish</groupId>
        <artifactId>javax.security.auth.message</artifactId>
        <version>${javax.security.auth.message.version}</version>
      </dependency>
      <!-- DevicePrint -->
      <dependency>
        <groupId>org.freemarker</groupId>
        <artifactId>freemarker</artifactId>
        <version>${freemarker.version}</version>
      </dependency>
      <dependency>
        <groupId>com.googlecode.java-ipv6</groupId>
        <artifactId>java-ipv6</artifactId>
        <version>${java-ipv6.version}</version>
      </dependency>
      <!-- Native Json Manipulation -->
      <dependency>
        <groupId>org.json</groupId>
        <artifactId>json</artifactId>
        <version>${json.version}</version>
      </dependency>
      <dependency>
        <groupId>com.google.inject</groupId>
        <artifactId>guice</artifactId>
        <version>${guice.version}</version>
        <!-- Exclude aopalliance dependency due to ambiguous licensing terms. -->
        <classifier>no_aop</classifier>
        <exclusions>
          <exclusion>
            <groupId>aopalliance</groupId>
            <artifactId>aopalliance</artifactId>
          </exclusion>
          <!-- Exclude javax.inject in favour of servicemix OSGi-compatible version -->
          <exclusion>
            <groupId>javax.inject</groupId>
            <artifactId>javax.inject</artifactId>
          </exclusion>
        </exclusions>
      </dependency>
      <dependency>
        <groupId>com.google.inject.extensions</groupId>
        <artifactId>guice-multibindings</artifactId>
        <version>${guice.version}</version>
        <exclusions>
          <exclusion>
            <groupId>com.google.inject</groupId>
            <artifactId>guice</artifactId>
          </exclusion>
        </exclusions>
      </dependency>
      <dependency>
        <groupId>com.google.inject.extensions</groupId>
        <artifactId>guice-assistedinject</artifactId>
        <version>${guice.version}</version>
        <exclusions>
          <exclusion>
            <groupId>com.google.inject</groupId>
            <artifactId>guice</artifactId>
          </exclusion>
        </exclusions>
      </dependency>
      <dependency>
        <!-- Use OSGi-compatible javax.inject to satisfy commons dependencies -->
        <groupId>org.apache.servicemix.bundles</groupId>
        <artifactId>org.apache.servicemix.bundles.javax-inject</artifactId>
        <version>${javax.inject.version}</version>
      </dependency>
      <dependency>
        <groupId>org.jgrapht</groupId>
        <artifactId>jgrapht-core</artifactId>
        <version>0.9.1</version>
      </dependency>
      <dependency>
        <groupId>org.asciidoctor</groupId>
        <artifactId>asciidoctorj</artifactId>
        <version>2.1.0</version>
        <exclusions>
          <exclusion>
            <groupId>com.beust</groupId>
            <artifactId>jcommander</artifactId>
          </exclusion>
        </exclusions>
      </dependency>
      <!--
              required by the STS and SAML libraries
              -->
      <dependency>
        <groupId>org.apache.santuario</groupId>
        <artifactId>xmlsec</artifactId>
        <version>2.1.5</version>
      </dependency>
      <!-- Test dependency -->
      <dependency>
        <groupId>org.codehaus.jstestrunner</groupId>
        <artifactId>jstestrunner-junit</artifactId>
        <version>1.0.1</version>
        <scope>test</scope>
      </dependency>
      <dependency>
        <groupId>org.easytesting</groupId>
        <artifactId>fest-assert</artifactId>
        <version>1.4</version>
        <scope>test</scope>
      </dependency>
      <dependency>
        <groupId>org.easymock</groupId>
        <artifactId>easymock</artifactId>
        <version>3.2</version>
        <scope>test</scope>
      </dependency>
      <!-- Powermock -->
      <dependency>
        <groupId>org.powermock</groupId>
        <artifactId>powermock-api-support</artifactId>
        <version>${powermock.version}</version>
        <scope>test</scope>
      </dependency>
      <dependency>
		  <groupId>org.powermock</groupId>
		  <artifactId>powermock-api-mockito2</artifactId>
		  <version>${powermock.version}</version>
		  <scope>test</scope>
	  </dependency>
      <dependency>
        <groupId>org.powermock</groupId>
        <artifactId>powermock-module-junit4</artifactId>
        <version>${powermock.version}</version>
        <scope>test</scope>
      </dependency>
      <dependency>
        <groupId>org.powermock</groupId>
        <artifactId>powermock-api-easymock</artifactId>
        <version>${powermock.version}</version>
        <scope>test</scope>
      </dependency>
      <dependency>
        <groupId>httpunit</groupId>
        <artifactId>httpunit</artifactId>
        <version>1.7</version>
        <scope>test</scope>
      </dependency>
      <dependency>
        <groupId>org.mockito</groupId>
        <artifactId>mockito-core</artifactId>
        <version>${mockito.version}</version>
        <scope>test</scope>
      </dependency>
      <dependency>
        <groupId>org.mortbay.jetty</groupId>
        <artifactId>jetty-servlet-tester</artifactId>
        <version>7.0.0.pre5</version>
        <scope>test</scope>
        <exclusions>
          <exclusion>
            <groupId>org.mortbay.jetty</groupId>
            <artifactId>servlet-api</artifactId>
          </exclusion>
        </exclusions>
      </dependency>
      <dependency>
        <groupId>org.powermock</groupId>
        <artifactId>powermock-api-mockito</artifactId>
        <version>${powermock.version}</version>
        <scope>test</scope>
      </dependency>
      <dependency>
        <groupId>org.powermock</groupId>
        <artifactId>powermock-core</artifactId>
        <version>${powermock.version}</version>
        <scope>test</scope>
      </dependency>
      <dependency>
        <groupId>org.powermock</groupId>
        <artifactId>powermock-reflect</artifactId>
        <version>${powermock.version}</version>
        <scope>test</scope>
      </dependency>
      <dependency>
        <groupId>org.powermock</groupId>
        <artifactId>powermock-module-testng</artifactId>
        <version>${powermock.version}</version>
        <scope>test</scope>
      </dependency>
      <dependency>
        <groupId>org.powermock</groupId>
        <artifactId>powermock-module-testng-common</artifactId>
        <version>${powermock.version}</version>
        <scope>test</scope>
      </dependency>
      <dependency>
        <groupId>javassist</groupId>
        <artifactId>javassist</artifactId>
        <version>3.12.1.GA</version>
        <scope>test</scope>
      </dependency>
      <dependency>
        <groupId>com.h2database</groupId>
        <artifactId>h2</artifactId>
        <version>${h2database.version}</version>
        <scope>test</scope>
      </dependency>
      <dependency>
        <groupId>org.apache.activemq</groupId>
        <artifactId>activemq-client</artifactId>
        <version>${activemq.version}</version>
        <scope>test</scope>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-test-utils</artifactId>
        <version>${project.version}</version>
        <scope>test</scope>
      </dependency>
      <dependency>
        <!-- License: legal/CC-Public-Domain.txt -->
        <groupId>org.hdrhistogram</groupId>
        <artifactId>HdrHistogram</artifactId>
        <version>2.1.4</version>
      </dependency>
      <dependency>
        <groupId>com.zaxxer</groupId>
        <artifactId>HikariCP</artifactId>
        <version>${hikaricp.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-time-travel</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>joda-time</groupId>
        <artifactId>joda-time</artifactId>
        <version>2.10.5</version>
      </dependency>
      
      <!-- Cassandra dependencies -->
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-cassandra-embedded</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-cassandra-datastore</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-cassandra-cts</artifactId>
        <version>${project.version}</version>
      </dependency>
		<dependency>
		    <groupId>org.apache.thrift</groupId>
		    <artifactId>libthrift</artifactId>
		    <version>0.13.0</version>
		</dependency>
		<dependency>
		    <groupId>org.hibernate</groupId>
		    <artifactId>hibernate-validator</artifactId>
		    <version>5.4.3.Final</version>
		</dependency>
		<dependency>
		    <groupId>org.codehaus.jackson</groupId>
		    <artifactId>jackson-core-asl</artifactId>
		    <version>1.9.13.redhat-4</version>
		</dependency>
		<dependency>
		    <groupId>org.codehaus.jackson</groupId>
		    <artifactId>jackson-mapper-asl</artifactId>
		    <version>1.9.13.redhat-4</version>
		</dependency>
		<dependency>
   			<groupId>com.fasterxml.woodstox</groupId>
   			<artifactId>woodstox-core</artifactId>
   			<version>5.3.0</version>
   		</dependency>
    </dependencies>
  </dependencyManagement>
  <dependencies>
    <dependency>
      <groupId>org.assertj</groupId>
      <artifactId>assertj-core</artifactId>
    </dependency>
  </dependencies>
  <!-- Build -->
  <build>
    <plugins>
	<plugin>
		<groupId>org.openidentityplatform.commons</groupId>
		<artifactId>maven-external-dependency-plugin</artifactId>
		<inherited>false</inherited>
		<configuration>
			<stagingDirectory>
				${project.build.directory}/dependencies/
			</stagingDirectory>
			<createChecksum>false</createChecksum>
			<skipChecksumVerification>true</skipChecksumVerification>
			<force>true</force>
			<artifactItems>
				<artifactItem>
					<groupId>org.openidentityplatform</groupId>
					<artifactId>cddl-license</artifactId>
					<version>1.0.0</version>
					<packaging>txt</packaging>
					<downloadUrl>https://raw.githubusercontent.com/OpenIdentityPlatform/OpenAM/master/LICENSE.md</downloadUrl>
					<deploy>false</deploy>
				</artifactItem>
				<artifactItem>
					<groupId>org.openidentityplatform.external.com.iplanet.jato</groupId>
					<artifactId>jato</artifactId>
					<version>${project.version}</version>
					<packaging>jar</packaging>
					<downloadUrl>${basedir}/extlib/jato-2005-05-04.jar</downloadUrl>
					<deploy>true</deploy>
				</artifactItem>
				<artifactItem>
                	<groupId>org.openidentityplatform.external.com.sun.web.ui</groupId>
                	<artifactId>cc</artifactId>
                	<version>${project.version}</version>
                	<packaging>jar</packaging>
                	<downloadUrl>${basedir}/extlib/cc-2008-08-08.jar</downloadUrl>
                	<deploy>true</deploy>
                	<force>true</force>
              	</artifactItem>
              	<artifactItem>
                	<groupId>org.openidentityplatform.external</groupId>
                	<artifactId>jdmkrt</artifactId>
                	<version>${project.version}</version>
                	<packaging>jar</packaging>
                	<downloadUrl>${basedir}/extlib/jdmkrt-2007-01-10.jar</downloadUrl>
                	<deploy>true</deploy>
              	</artifactItem>
			</artifactItems>
		</configuration>
		<executions>
			<execution>
				<id>clean-external-dependencies</id>
				<phase>clean</phase>
				<goals>
					<goal>clean-external</goal>
				</goals>
			</execution>
			<execution>
				<id>resolve-install-external-dependencies</id>
				<phase>process-resources</phase>
				<goals>
					<goal>resolve-external</goal>
					<goal>install-external</goal>
				</goals>
			</execution>
			<execution>
				<id>deploy-external-dependencies</id>
				<phase>deploy</phase>
				<goals>
					<goal>deploy-external</goal>
				</goals>
			</execution>
		</executions>
	</plugin>
      <plugin>
        <groupId>org.codehaus.mojo</groupId>
        <artifactId>buildnumber-maven-plugin</artifactId>
        <executions>
          <execution>
            <phase>validate</phase>
            <goals>
              <goal>create</goal>
            </goals>
          </execution>
        </executions>
        <configuration>
          <buildNumberPropertyName>git.short.sha1</buildNumberPropertyName>
          <getRevisionOnlyOnce>true</getRevisionOnlyOnce>
          <shortRevisionLength>10</shortRevisionLength>
        </configuration>
      </plugin>
      <plugin>
        <artifactId>maven-compiler-plugin</artifactId>
        <configuration>
          <source>${maven.compiler.source}</source>
          <target>${maven.compiler.target}</target>
          <encoding>UTF-8</encoding>
          <!-- Override Enforcer Rules for OpenAM Compilation -->
          <compilerArgument>-Xlint:none</compilerArgument>
          <showDeprecation>false</showDeprecation>
        </configuration>
      </plugin>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-release-plugin</artifactId>
        <version>2.5.3</version>
        <configuration>
          <autoVersionSubmodules>true</autoVersionSubmodules>
          <updateBranchVersions>true</updateBranchVersions>
          <goals>install javadoc:aggregate-jar deploy</goals>
        </configuration>
      </plugin>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-surefire-plugin</artifactId>
        <configuration>
          <argLine>${java.surefire.options}</argLine>
          <redirectTestOutputToFile>true</redirectTestOutputToFile>
          <forkMode>once</forkMode>
        </configuration>
        <executions>
          <execution>
            <phase>test</phase>
          </execution>
        </executions>
      </plugin>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-failsafe-plugin</artifactId>
        <executions>
          <execution>
            <goals>
              <goal>integration-test</goal>
              <goal>verify</goal>
            </goals>
          </execution>
        </executions>
      </plugin>
      <!--             <plugin> -->
      <!--                 <groupId>org.apache.maven.plugins</groupId> -->
      <!--                 <artifactId>maven-pmd-plugin</artifactId> -->
      <!--                 <version>3.6</version> -->
      <!--                 <configuration> -->
      <!--                     <rulesets> -->
      <!--                         <ruleset>java-enforce-timeservice</ruleset> -->
      <!--                     </rulesets> -->
      <!--                 </configuration> -->
      <!--                 <executions> -->
      <!--                     <execution> -->
      <!--                         <phase>process-sources</phase> -->
      <!--                         <goals> -->
      <!--                             <goal>check</goal> -->
      <!--                         </goals> -->
      <!--                     </execution> -->
      <!--                 </executions> -->
      <!--                 <dependencies> -->
      <!--                     <dependency> -->
      <!--                         <groupId>org.openidentityplatform.openam.pmd.rules</groupId> -->
      <!--                         <artifactId>enforce-timeservice</artifactId> -->
      <!--                         <version>1.0.0</version> -->
      <!--                     </dependency> -->
      <!--                 </dependencies> -->
      <!--             </plugin> -->
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-resources-plugin</artifactId>
        <inherited>true</inherited>
        <configuration>
          <escapeString>\</escapeString>
          <encoding>UTF-8</encoding>
          <nonFilteredFileExtensions>
            <!-- Exclude any binary files based upon File Types. -->
            <nonFilteredFileExtension>bin</nonFilteredFileExtension>
            <nonFilteredFileExtension>bkf</nonFilteredFileExtension>
            <nonFilteredFileExtension>bmp</nonFilteredFileExtension>
            <nonFilteredFileExtension>bz2</nonFilteredFileExtension>
            <nonFilteredFileExtension>deb</nonFilteredFileExtension>
            <nonFilteredFileExtension>dll</nonFilteredFileExtension>
            <nonFilteredFileExtension>dmg</nonFilteredFileExtension>
            <nonFilteredFileExtension>ear</nonFilteredFileExtension>
            <nonFilteredFileExtension>exe</nonFilteredFileExtension>
            <nonFilteredFileExtension>gif</nonFilteredFileExtension>
            <nonFilteredFileExtension>gz</nonFilteredFileExtension>
            <nonFilteredFileExtension>gzip</nonFilteredFileExtension>
            <nonFilteredFileExtension>ico</nonFilteredFileExtension>
            <nonFilteredFileExtension>jar</nonFilteredFileExtension>
            <nonFilteredFileExtension>jks</nonFilteredFileExtension>
            <nonFilteredFileExtension>jceks</nonFilteredFileExtension>
            <nonFilteredFileExtension>jpg</nonFilteredFileExtension>
            <nonFilteredFileExtension>jpeg</nonFilteredFileExtension>
            <nonFilteredFileExtension>lz</nonFilteredFileExtension>
            <nonFilteredFileExtension>png</nonFilteredFileExtension>
            <nonFilteredFileExtension>pdf</nonFilteredFileExtension>
            <nonFilteredFileExtension>rar</nonFilteredFileExtension>
            <nonFilteredFileExtension>rpm</nonFilteredFileExtension>
            <nonFilteredFileExtension>tar</nonFilteredFileExtension>
            <nonFilteredFileExtension>tgz</nonFilteredFileExtension>
            <nonFilteredFileExtension>war</nonFilteredFileExtension>
            <nonFilteredFileExtension>zip</nonFilteredFileExtension>
            <nonFilteredFileExtension>7z</nonFilteredFileExtension>
            <nonFilteredFileExtension>woff2</nonFilteredFileExtension>
            <nonFilteredFileExtension>woff</nonFilteredFileExtension>
            <nonFilteredFileExtension>ttf</nonFilteredFileExtension>
            <!-- See: http://en.wikipedia.org/wiki/List_of_file_formats -->
          </nonFilteredFileExtensions>
          <useDefaultDelimiters>false</useDefaultDelimiters>
          <delimiters>
            <delimiter>${*}</delimiter>
          </delimiters>
        </configuration>
      </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-source-plugin</artifactId>
                <executions>
		          <execution>
		            <id>attach-sources</id>
		            <phase>verify</phase>
		            <goals>
		              <goal>jar-no-fork</goal>
		            </goals>
		          </execution>
		        </executions>
            </plugin>
            <plugin>
			  <groupId>org.apache.maven.plugins</groupId>
			  <artifactId>maven-javadoc-plugin</artifactId>
			  <executions>
			    <execution>
			      <id>attach-javadocs</id>
			      <goals>
			        <goal>jar</goal>
			      </goals>
			    </execution>
			  </executions>
			  <configuration>
			  	<failOnError>false</failOnError>
			  </configuration>
			</plugin>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-jar-plugin</artifactId>
        <configuration>
          <forceCreation>true</forceCreation>
          <archive>
            <index>true</index>
            <manifestEntries>
              <Specification-Title>${project.name}</Specification-Title>
              <Specification-Version>${project.version} - ${maven.build.timestamp}</Specification-Version>
              <Specification-Vendor>Open Identity Platform Community</Specification-Vendor>
              <Implementation-Title>${project.name}</Implementation-Title>
              <Implementation-Version>${project.version} - ${maven.build.timestamp}</Implementation-Version>
              <Implementation-Vendor>Open Identity Platform Community</Implementation-Vendor>
              <Built-By>${user.name}</Built-By>
              <Build-Jdk>${java.version}</Build-Jdk>
              <Build-Time>${maven.build.timestamp}</Build-Time>
              <Version>${project.version}</Version>
              <Create-On>${maven.build.timestamp}</Create-On>
              <Revision>${git.short.sha1}</Revision>
            </manifestEntries>
          </archive>
        </configuration>
      </plugin>
      <plugin>
        <groupId>org.openidentityplatform.maven.plugins</groupId>
        <artifactId>javadoc-updater-maven-plugin</artifactId>
        <version>1.0.0</version>
        <executions>
          <execution>
            <phase>site</phase>
            <goals>
              <goal>fixjavadoc</goal>
            </goals>
            <configuration>
              <directory>${project.reporting.outputDirectory}</directory>
            </configuration>
          </execution>
        </executions>
      </plugin>
      <plugin>
        <groupId>net.ju-n.maven.plugins</groupId>
        <artifactId>checksum-maven-plugin</artifactId>
        <executions>
          <execution>
            <id>generate-checksum</id>
            <phase>verify</phase>
            <goals>
              <goal>artifacts</goal>
            </goals>
          </execution>
        </executions>
        <configuration>
          <failOnError>false</failOnError>
          <algorithms>
            <algorithm>SHA</algorithm>
          </algorithms>
          <individualFiles>true</individualFiles>
          <quiet>true</quiet>
        </configuration>
      </plugin>
    </plugins>
	<pluginManagement>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-antrun-plugin</artifactId>
				<version>1.8</version>
			</plugin>
			<plugin>
				<inherited>true</inherited>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-compiler-plugin</artifactId>
				<version>3.8.1</version>
				<configuration>
					<source>1.8</source>
					<target>1.8</target>
					<fork>true</fork>
					<compilerArgs>
						<arg>-XDignore.symbol.file</arg>
					</compilerArgs>
				</configuration>
			</plugin>

			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-assembly-plugin</artifactId>
				<version>3.2.0</version>
			</plugin>

			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-dependency-plugin</artifactId>
				<version>3.1.0</version>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-jar-plugin</artifactId>
				<version>3.2.0</version>
			</plugin>

			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-war-plugin</artifactId>
				<version>3.2.3</version>
			</plugin>

			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-shade-plugin</artifactId>
				<version>3.2.1</version>
			</plugin>

			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-failsafe-plugin</artifactId>
				<version>3.0.0-M4</version>
			</plugin>

			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-resources-plugin</artifactId>
				<version>3.1.0</version>
			</plugin>

			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-clean-plugin</artifactId>
				<version>3.1.0</version>
			</plugin>

			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-javadoc-plugin</artifactId>
				<version>3.1.1</version>
			</plugin>

			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-source-plugin</artifactId>
				<version>3.2.0</version>
				<executions>
					<execution>
						<goals>
							<goal>jar</goal>
						</goals>
					</execution>
					<execution>
			            <id>attach-sources</id>
			            <phase>verify</phase>
			            <goals>
			              <goal>jar-no-fork</goal>
			            </goals>
			          </execution>
				</executions>
			</plugin>

			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-surefire-plugin</artifactId>
				<version>3.0.0-M4</version>
				<configuration>
					<argLine>-server</argLine>
				</configuration>
			</plugin>
			<plugin>
				<groupId>com.github.searls</groupId>
				<artifactId>jasmine-maven-plugin</artifactId>
				<version>2.0-alpha-01</version>
			</plugin>
			<plugin>
				<groupId>org.openidentityplatform.maven.plugins</groupId>
				<artifactId>build-helper-plugin</artifactId>
				<version>${project.version}</version>
			</plugin>
			<plugin>
				<groupId>org.codehaus.mojo</groupId>
				<artifactId>jaxb2-maven-plugin</artifactId>
				<version>1.3.1</version>
			</plugin>
			<plugin>
				<groupId>org.codehaus.mojo</groupId>
				<artifactId>build-helper-maven-plugin</artifactId>
				<version>1.8</version>
			</plugin>
			<plugin>
				<groupId>org.apache.portals.jetspeed-2</groupId>
				<artifactId>jetspeed-unpack-maven-plugin</artifactId>
				<version>2.2.2</version>
			</plugin>
			<plugin>
				<groupId>net.ju-n.maven.plugins</groupId>
				<artifactId>checksum-maven-plugin</artifactId>
				<version>1.2</version>
			</plugin>
			<plugin>
				<groupId>org.codehaus.mojo</groupId>
				<artifactId>buildnumber-maven-plugin</artifactId>
				<version>1.3</version>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.skins</groupId>
				<artifactId>maven-default-skin</artifactId>
				<version>1.0</version>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.skins</groupId>
				<artifactId>maven-skins</artifactId>
				<version>4</version>
			</plugin>
			<plugin>
				<groupId>org.bsc.maven</groupId>
				<artifactId>maven-processor-plugin</artifactId>
				<version>2.2.4</version>
			</plugin>
			<plugin>
				<groupId>org.codehaus.mojo</groupId>
				<artifactId>xml-maven-plugin</artifactId>
				<version>1.0</version>
			</plugin>
			<plugin>
				<groupId>org.codehaus.mojo</groupId>
				<artifactId>jslint-maven-plugin</artifactId>
				<version>1.0.1</version>
			</plugin>
			<plugin>
				<groupId>org.codehaus.mojo</groupId>
				<artifactId>webminifier-maven-plugin</artifactId>
				<version>1.0.1</version>
			</plugin>
			<plugin>
				<groupId>org.mortbay.jetty</groupId>
				<artifactId>jetty-maven-plugin</artifactId>
				<version>8.1.12.v20130726</version>
			</plugin>
			<plugin>
				<groupId>org.codehaus.mojo</groupId>
				<artifactId>js-import-maven-plugin</artifactId>
				<version>1.0.1</version>
			</plugin>
			<plugin>
				<groupId>com.github.mcheely</groupId>
				<artifactId>requirejs-maven-plugin</artifactId>
				<version>2.0.0</version>
			</plugin>
			<plugin>
				<groupId>org.codehaus.cargo</groupId>
				<artifactId>cargo-maven2-plugin</artifactId>
				<version>1.7.10</version>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-plugin-plugin</artifactId>
				<version>3.3</version>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-install-plugin</artifactId>
				<inherited>false</inherited>
				<executions>
					<execution>
						<id>install-jar-lib-jdmktk</id>
						<goals>
							<goal>install-file</goal>
						</goals>
						<phase>validate</phase>
						<configuration>
							<groupId>external</groupId>
							<artifactId>jdmktk</artifactId>
							<version>2007-01-10</version>
							<packaging>jar</packaging>
							<file>${basedir}/extlib/jdmktk-2007-01-10.jar</file>
							<generatePom>true</generatePom>
						</configuration>
					</execution>
					<execution>
						<id>install-jar-lib-cc_de</id>
						<goals>
							<goal>install-file</goal>
						</goals>
						<phase>validate</phase>
						<configuration>
							<groupId>com.sun.web.ui</groupId>
							<artifactId>cc_de</artifactId>
							<version>2008-08-08</version>
							<packaging>jar</packaging>
							<file>${basedir}/extlib/cc_de-2008-08-08.jar</file>
							<generatePom>true</generatePom>
						</configuration>
					</execution>
					<execution>
						<id>install-jar-lib-cc_es</id>
						<goals>
							<goal>install-file</goal>
						</goals>
						<phase>validate</phase>
						<configuration>
							<groupId>com.sun.web.ui</groupId>
							<artifactId>cc_es</artifactId>
							<version>2008-08-08</version>
							<packaging>jar</packaging>
							<file>${basedir}/extlib/cc_es-2008-08-08.jar</file>
							<generatePom>true</generatePom>
						</configuration>
					</execution>
					<execution>
						<id>install-jar-lib-cc_fr</id>
						<goals>
							<goal>install-file</goal>
						</goals>
						<phase>validate</phase>
						<configuration>
							<groupId>com.sun.web.ui</groupId>
							<artifactId>cc_fr</artifactId>
							<version>2008-08-08</version>
							<packaging>jar</packaging>
							<file>${basedir}/extlib/cc_fr-2008-08-08.jar</file>
							<generatePom>true</generatePom>
						</configuration>
					</execution>
					<execution>
						<id>install-jar-lib-cc_it</id>
						<goals>
							<goal>install-file</goal>
						</goals>
						<phase>validate</phase>
						<configuration>
							<groupId>com.sun.web.ui</groupId>
							<artifactId>cc_it</artifactId>
							<version>2008-08-08</version>
							<packaging>jar</packaging>
							<file>${basedir}/extlib/cc_it-2008-08-08.jar</file>
							<generatePom>true</generatePom>
						</configuration>
					</execution>
					<execution>
						<id>install-jar-lib-cc_ja</id>
						<goals>
							<goal>install-file</goal>
						</goals>
						<phase>validate</phase>
						<configuration>
							<groupId>com.sun.web.ui</groupId>
							<artifactId>cc_ja</artifactId>
							<version>2008-08-08</version>
							<packaging>jar</packaging>
							<file>${basedir}/extlib/cc_ja-2008-08-08.jar</file>
							<generatePom>true</generatePom>
						</configuration>
					</execution>
					<execution>
						<id>install-jar-lib-cc_ko</id>
						<goals>
							<goal>install-file</goal>
						</goals>
						<phase>validate</phase>
						<configuration>
							<groupId>com.sun.web.ui</groupId>
							<artifactId>cc_ko</artifactId>
							<version>2008-08-08</version>
							<packaging>jar</packaging>
							<file>${basedir}/extlib/cc_ko-2008-08-08.jar</file>
							<generatePom>true</generatePom>
						</configuration>
					</execution>
					<execution>
						<id>install-jar-lib-cc_sv</id>
						<goals>
							<goal>install-file</goal>
						</goals>
						<phase>validate</phase>
						<configuration>
							<groupId>com.sun.web.ui</groupId>
							<artifactId>cc_sv</artifactId>
							<version>2008-08-08</version>
							<packaging>jar</packaging>
							<file>${basedir}/extlib/cc_sv-2008-08-08.jar</file>
							<generatePom>true</generatePom>
						</configuration>
					</execution>
					<execution>
						<id>install-jar-lib-cc_zh_CC</id>
						<goals>
							<goal>install-file</goal>
						</goals>
						<phase>validate</phase>
						<configuration>
							<groupId>com.sun.web.ui</groupId>
							<artifactId>cc_zh_CC</artifactId>
							<version>2008-08-08</version>
							<packaging>jar</packaging>
							<file>${basedir}/extlib/cc_zh_CC-2008-08-08.jar</file>
							<generatePom>true</generatePom>
						</configuration>
					</execution>
					<execution>
						<id>install-jar-lib-cc_zh_CN</id>
						<goals>
							<goal>install-file</goal>
						</goals>
						<phase>validate</phase>
						<configuration>
							<groupId>com.sun.web.ui</groupId>
							<artifactId>cc_zh_CN</artifactId>
							<version>2008-08-08</version>
							<packaging>jar</packaging>
							<file>${basedir}/extlib/cc_zh_CN-2008-08-08.jar</file>
							<generatePom>true</generatePom>
						</configuration>
					</execution>
					<execution>
						<id>install-jar-lib-cc_zh_HK</id>
						<goals>
							<goal>install-file</goal>
						</goals>
						<phase>validate</phase>
						<configuration>
							<groupId>com.sun.web.ui</groupId>
							<artifactId>cc_zh_HK</artifactId>
							<version>2008-08-08</version>
							<packaging>jar</packaging>
							<file>${basedir}/extlib/cc_zh_HK-2008-08-08.jar</file>
							<generatePom>true</generatePom>
						</configuration>
					</execution>
					<execution>
						<id>install-jar-lib-cc_zh_TW</id>
						<goals>
							<goal>install-file</goal>
						</goals>
						<phase>validate</phase>
						<configuration>
							<groupId>com.sun.web.ui</groupId>
							<artifactId>cc_zh_TW</artifactId>
							<version>2008-08-08</version>
							<packaging>jar</packaging>
							<file>${basedir}/extlib/cc_zh_TW-2008-08-08.jar</file>
							<generatePom>true</generatePom>
						</configuration>
					</execution>
					<execution>
						<id>install-jar-lib-cc_zh</id>
						<goals>
							<goal>install-file</goal>
						</goals>
						<phase>validate</phase>
						<configuration>
							<groupId>com.sun.web.ui</groupId>
							<artifactId>cc_zh</artifactId>
							<version>2008-08-08</version>
							<packaging>jar</packaging>
							<file>${basedir}/extlib/cc_zh-2008-08-08.jar</file>
							<generatePom>true</generatePom>
						</configuration>
					</execution>
					<execution>
						<id>install-jar-authapi</id>
						<goals>
							<goal>install-file</goal>
						</goals>
						<phase>validate</phase>
						<configuration>
							<groupId>external</groupId>
							<artifactId>authapi</artifactId>
							<version>2005-08-12</version>
							<packaging>jar</packaging>
							<file>${basedir}/extlib/authapi-2005-08-12.jar</file>
							<generatePom>true</generatePom>
						</configuration>
					</execution>
				</executions>
			</plugin>
		</plugins>
	</pluginManagement>
  </build>
  <reporting>
    <plugins>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-checkstyle-plugin</artifactId>
        <version>${checkstylePluginVersion}</version>
      </plugin>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-project-info-reports-plugin</artifactId>
        <version>2.6</version>
        <reportSets>
          <reportSet>
            <reports>
              <report>index</report>
              <report>mailing-list</report>
              <report>issue-tracking</report>
              <report>license</report>
              <report>scm</report>
            </reports>
          </reportSet>
        </reportSets>
      </plugin>
    </plugins>
  </reporting>
</project>
